Package com.orchestranetworks.schema.info

# Interface SchemaNodeDefaultView

public interface SchemaNodeDefaultView
Represents the `osd:defaultView` element associated with a node in a resolved data model.

Since:
  5.7.1
See Also:
  - `osd:defaultView` property
  - `SchemaNode.getDefaultViewProperties()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayMode()`
  Returns the display mode defined in the data model using the property `osd:defaultView/displayMode` under the element `xs:annotation/xs:appinfo`.
  `String`
  `getHiddenInSearch()`
  Returns `true` if the associated node is not selectable in the text and typed search tools of a dataset.
  `Integer`
  `getTabOrder()`
  Returns the tab order defined in the data model using the property `osd:defaultView/tabOrder` under the element `xs:annotation/xs:appinfo`.
  `String`
  `getViewForAdvancedSelection()`
  Returns the view for advanced selection defined in the data model using the property `osd:defaultView/widget/viewForAdvancedSelection` under the element `xs:annotation/xs:appinfo`.
  `UIWidget`
  `getWidget()`
  Returns the widget defined in the data model using the property `osd:defaultView/widget` under the element `xs:annotation/xs:appinfo`.
  `<T extends UIWidget>
  UIWidgetFactory<T>`
  `getWidgetFactory()`
  Returns the custom widget factory defined in the data model using the property `osd:defaultView/widget osd:class="com.foo.MyWidgetFactory"` under the element `xs:annotation/xs:appinfo`.
  `boolean`
  `isHidden()`
  Returns `true` if the associated node is hidden in the default view of a dataset.
  `boolean`
  `isHiddenInAllViews()`
  Returns `true` if the associated node is hidden in all views of a table.
  `boolean`
  `isHiddenInDataServices()`
  Returns `true` if the associated node is hidden in all data services.
  `boolean`
  `isHiddenInQuickSearch()`
  Returns `true` if the associated node is hidden in the quick search tool.

- ## Method Details

  - ### getWidget

    UIWidget getWidget()
    Returns the widget defined in the data model using the property `osd:defaultView/widget` under the element `xs:annotation/xs:appinfo`. Returns `null` if a custom widget is defined in the data model using the property `osd:defaultView/widget osd:class="com.foo.MyWidgetFactory"`.
    See Also:
      - `getViewForAdvancedSelection()`
      - `getWidgetFactory()`

  - ### getWidgetFactory

    <T extends UIWidget> UIWidgetFactory<T> getWidgetFactory()
    Returns the custom widget factory defined in the data model using the property `osd:defaultView/widget osd:class="com.foo.MyWidgetFactory"` under the element `xs:annotation/xs:appinfo`.
    Since:
      5.8.0
    See Also:
      - `getWidget()`

  - ### getViewForAdvancedSelection

    String getViewForAdvancedSelection()
    Returns the view for advanced selection defined in the data model using the property `osd:defaultView/widget/viewForAdvancedSelection` under the element `xs:annotation/xs:appinfo`.
    See Also:
      - `getWidget()`

  - ### isHidden

    boolean isHidden()

    Returns `true` if the associated node is hidden in the default view of a dataset. A node is hidden in the default view of a dataset if it specifies in the data model the property

    >      <osd:defaultView>
    >              <hidden>true</hidden>
    >      </osd:defaultView>

    under the element `xs:annotation/xs:appinfo`.

  - ### isHiddenInAllViews

    boolean isHiddenInAllViews()

    Returns `true` if the associated node is hidden in all views of a table. A node is hidden in the all views of a table if it specifies in the data model the property

    >      <osd:defaultView>
    >              <hiddenInViews>true</hiddeninViews>
    >      </osd:defaultView>

    under the element `xs:annotation/xs:appinfo`.
    Since:
      6.0.0

  - ### getHiddenInSearch

    String getHiddenInSearch()
    Returns `true` if the associated node is not selectable in the text and typed search tools of a dataset.

    A node is not selectable in the text and typed search tools of a dataset if it specifies in the data model the property

    >      <osd:defaultView>
    >              <hiddenInSearch>true</hiddenInSearch>
    >      </osd:defaultView>

    under the element `xs:annotation/xs:appinfo`.

    Returns `textSearchOnly` if the associated node is not selectable only in the text search of a dataset but is selectable in the typed search.

    A node is not selectable only in the text search of a dataset if it specifies in the data model the property

    >      <osd:defaultView>
    >              <hiddenInSearch>textSearchOnly</hiddenInSearch>
    >      </osd:defaultView>

    under the element `xs:annotation/xs:appinfo`.

    Returns `null` if this node is not hidden in the search tools of a dataset.

  - ### isHiddenInDataServices

    boolean isHiddenInDataServices()

    Returns `true` if the associated node is hidden in all data services. A node is hidden in all data services if it specifies in the data model the property

    >      <osd:defaultView>
    >              <hiddenInDataServices>true</hiddenInDataServices>
    >      </osd:defaultView>

    under the element `xs:annotation/xs:appinfo`.

  - ### isHiddenInQuickSearch

    boolean isHiddenInQuickSearch()

    Returns `true` if the associated node is hidden in the quick search tool. A node is hidden in the quick search tool if it specifies in the data model the property

    >      <osd:defaultView>
    >              <hiddenInQuickSearch>true</hiddenInQuickSearch>
    >      </osd:defaultView>

    under the element `xs:annotation/xs:appinfo`.
    Since:
      6.1.1

  - ### getDisplayMode

    String getDisplayMode()
    Returns the display mode defined in the data model using the property `osd:defaultView/displayMode` under the element `xs:annotation/xs:appinfo`.

  - ### getTabOrder

    Integer getTabOrder()
    Returns the tab order defined in the data model using the property `osd:defaultView/tabOrder` under the element `xs:annotation/xs:appinfo`.